ALTQ(4)

NAME
altq - alternate queuing framework

SYNOPSIS
options ALTQ
options ALTQ_BLUE
options ALTQ_CBQ
options ALTQ_CDNR
options ALTQ_FIFOQ
options ALTQ_FLOWVALVE
options ALTQ_HFSC
options ALTQ_LOCALQ
options ALTQ_PRIQ
options ALTQ_RED
options ALTQ_RIO
options ALTQ_WFQ

DESCRIPTION
The altq framework provides several disciplines for queuing outgoing network packets. While traffic shaping is perhaps the most prominent example, altq provides also other measures related to QoS. The framework has been integrated to the pf(4) packet filter since NetBSD 4.0.

At the implementation level altq modifies the interface packet queues. Therefore the driver modifications described in altq(9) are required in order to use a certain network card with altq.

FILES

    /dev/altq

SEE ALSO
pf(4), altq.conf(5), altqd(8), altq(9) Kenjiro Cho, Fitting theory into reality in the ALTQ case, March, 2004, Taipei, Taiwan, Asia BSD conference, http://www.sonycsl.co.jp/person/kjc/papers/fittingtheory.pdf.